UserPrincipalNotFoundException (Java SE 13 & JDK 13 )
Description: declaration: module: java.base, package: java.nio.file.attribute, class: UserPrincipalNotFoundException
Keywords: java.nio.file.attribute.UserPrincipalNotFoundException class

Module java.base
Package java.nio.file.attribute

# Class UserPrincipalNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.nio.file.attribute.UserPrincipalNotFoundException

All Implemented Interfaces:
  `Serializable`

    public class UserPrincipalNotFoundException
    extends IOException

Checked exception thrown when a lookup of `UserPrincipal` fails because the principal does not exist.

Since:
  1.7
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `UserPrincipalNotFoundException​(String name)` | Constructs an instance of this class.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `String` | `getName()` | Returns the user principal name if this exception was created with the user principal name that was not found, otherwise `null`.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UserPrincipalNotFoundException

    public UserPrincipalNotFoundException​(String name)
    Constructs an instance of this class.
    Parameters:
      `name` - the principal name; may be `null`

- ## Method Details

  - ### getName

    public String getName()
    Returns the user principal name if this exception was created with the user principal name that was not found, otherwise `null`.
    Returns:
      the user principal name or `null`